Select Moodle version:

Filters: Twitter Widget

filter_twitterwidget
Allows the insertion of the new Twitter Widgets into moodle
Maintained by: Picture of Pat Lockley Pat Lockley
for Moodle
2.0

The new Twitter Widget HTML and javascript can cause security errors in Moodle. This filter widget bypasses the problem and allows twitter to be added again to pages and HTML blocks.

Contributors

Picture of Pat Lockley
Pat Lockley (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Capt. Moodle
    Sun, Apr 14, 2013, 11:30 PM
    I've installed and tested this plugin which seems to work just fine. Many thanks Pat for sharing this filter with the Moodle community and for your patience with the plugin review and approval process. I would encourage you to provide a little more documentation (feel free to use Moodle Docs) and to provide versions for more recent versions of Moodle 2.x (i.e. 2.1, 2.2, 2.3, and 2.4). Please do not hesitate to let me know if there is anything I can do to be supportive of your efforts. Peace - Anthony
  • Picture of Pat Lockley
    Mon, Apr 15, 2013, 4:54 AM
    Thanks Anthony, sorry if I seemed rude - just always keen to get things finished and I wasn't sure if I'd left errors in the system.

    I'd like to thank you for helping me out and the suggestions you gave me. I work on a lot of open source stuff (see my guthub!) so I know how much effort it can be. Again, thank you so much.

    I am already working on another plugin!

    Will do documentation tomorrow

  • Picture of Camilo Rivera
    Tue, Oct 8, 2013, 2:59 AM
    I wonder if this will work with the latest Twitter API updates which requires OAuth and such.
  • Picture of Pat Lockley
    Wed, Jan 22, 2014, 9:21 PM
    Camilo, it doesn't use the API, it address a JS loading issue if you paste in twitter widget code to a HTML box
Please login to post comments